StaticHost (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.control, class: StaticHost

Package org.apache.jmeter.protocol.http.control

# Class StaticHost

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.http.control.StaticHost

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

public class StaticHost extends AbstractTestElement implements Serializable
Bean containing mapping from name to array of Addresses

Since:
  3.2
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaticHost()`
  `StaticHost(String name, String address)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `String`
  `getName()`
  `void`
  `setAddress(String address)`
  `void`
  `setName(String name)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### StaticHost

    public StaticHost()

  - ### StaticHost

    public StaticHost(String name, String address)

- ## Method Details

  - ### setName

    public void setName(String name)
    Specified by:
      `setName` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `setName` in class `AbstractTestElement`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `getName` in class `AbstractTestElement`

  - ### setAddress

    public void setAddress(String address)

  - ### getAddress

    public String getAddress()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`